local SendAddonMessage = C_ChatInfo.SendAddonMessage
C_ChatInfo.RegisterAddonMessagePrefix('BTMP')

local responseFrame = CreateFrame("FRAME", "BTMPResponseFrame")
responseFrame:SetScript("OnEvent",function (self, event, ...)
	local prefix, message, channel, sender = ...
	if prefix == 'BTMP' and message == 'raidcheckquery' then
		SendAddonMessage('BTMP', 'OK', 'WHISPER', sender)
	end	
end)
responseFrame:RegisterEvent("CHAT_MSG_ADDON")
local responders = {}

local queryFrame = CreateFrame("FRAME", "BTMPQueryFrame")
queryFrame:SetScript("OnEvent",function (self,event,...)
	local prefix, message, channel, sender = ...
	if prefix == 'BTMP' and message == 'OK' then
		local name = gsub(sender, "%-[^|]+", "")
		responders[name] = true
	end
end)

SLASH_BTMEDIAPACK1 = '/btmp'
local function slashHandler(msg, editbox)
	if msg == 'raidcheck' then
		if not IsInRaid() then
			print("BTMP : You are not in a raid group.")
			return
		end
		print('BTMP : Checking...')
		wipe(responders)
		SendAddonMessage('BTMP', 'raidcheckquery', 'RAID')
		queryFrame:RegisterEvent("CHAT_MSG_ADDON")
		C_Timer.After(1, function() 
			local BTlib = LibStub("BTlib", true)
			local nOk = 0
			local nNotOk = 0
			local sOk = ''
			local sNotOk = ''
			for unit in BTlib.GroupMembers() do
				local name = UnitName(unit)
				if responders[name] then
					sOk = sOk .. name .. ' ' 
					nOk = nOk + 1
				else
					sNotOk = sNotOk .. name .. ' '
					nNotOk = nNotOk + 1
				end
			end
			print("BTMediaPack installed (" .. nOk .. ') : ' .. sOk)
			print("BTMediaPack not installed (" .. nNotOk .. ') : ' .. sNotOk)		
		end)
	end
end
SlashCmdList["BTMEDIAPACK"] = slashHandler